petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetUpOnBlocks

Sets up the preconditioner for each block in the block Jacobi, block Gauss-Seidel, and overlapping Schwarz methods.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetUpOnBlocks(KSP ksp)

Collective on KSP Many br

### Input Parameter

ksp - the KSP context Many br

### Notes

KSPSetUpOnBlocks() is a routine that the user can optinally call for Many brmore precise profiling (via -log_summary) of the setup phase for these Many brblock preconditioners. If the user does not call KSPSetUpOnBlocks(), Many brit will automatically be called from within KSPSolve(). Many br

Calling KSPSetUpOnBlocks() is the same as calling PCSetUpOnBlocks() Many bron the PC context within the KSP context. Many br

Many br

### Keywords

KSP, setup, blocks

### See Also

PCSetUpOnBlocks(), KSPSetUp(), PCSetUp()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html